Get all residents
https://api.propexo.com/v1/residents/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external resident id
Deprecated: Use Propexo property_id instead
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo property id
The Propexo lease id
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the resident.
The primary email address associated with the resident
Possible values: Value must match regular expression ^[2-9]\d{9}$
Filter by phone number (10 digit format only)
Response
Successful response
- Array [
- ]
- Array [
- Array [
- string
- string
PRIMARYSECONDARYGUARANTOROTHER - ]
- Array [
- ]
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the resident
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
Deprecated. Use leases_meta_data instead
leases_meta_data object[]
The Propexo unique identifier for the lease
The external type of the resident from the integration vendor
Resident type from Propexo
Show 2 variants
The move-in date associated with the resident
The move-out date associated with the resident
The date the resident gave notice
custom_data object | nullrequired
The date the record was last seen from the PMS
The first alternate address line associated with the resident
The first address line associated with the resident
The second alternate address line associated with the resident
The second address line associated with the resident
The rent balance owed
100000The alternate city associated with the resident
The city associated with the resident
The alternate country associated with the resident
The country associated with the resident
custom_data object | nullrequired
The date of birth associated with the resident
The primary email address associated with the resident
The secondary email address associated with the resident
The first name associated with the resident
Is the resident an employee
The last name associated with the resident
The past due rent balance owed
100000The middle name associated with the resident
Notes associated with the resident
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKPrimary phone number associated with the resident
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the resident
The alternate state associated with the resident
The state associated with the resident
The alternate zip code associated with the resident
The zip code associated with the resident
pets object[]required
The Propexo unique identifier for the resident pet
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The name associated with the resident pet
The type associated with the resident pet
The breed of the resident pet
The raw value for the gender of the resident pet
The age in years of the resident pet
The weight in pounds of the resident pet
Whether the resident pet is fixed
Whether the resident pet is a service animal
Notes associated with the resident pet
custom_data object | nullrequired
vehicles object[]required
The Propexo unique identifier for the resident vehicle
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The make of the resident vehicle
The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicle
The color of the resident vehicle
The year of the resident vehicle
The license plate number of the resident vehicle
The license plate state of the resident vehicle
Notes associated with the resident vehicle
custom_data object | nullrequired
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/residents/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"leases_meta_data": [
{
"lease_id": "string",
"x_resident_type": "string",
"resident_type_normalized": "string",
"move_in_date": "string",
"move_out_date": "string",
"notice_date": "string",
"custom_data": "Unknown Type: object,null",
"last_seen": "string"
}
],
"address_1_alternate": "string",
"address_1": "string",
"address_2_alternate": "string",
"address_2": "string",
"balance_in_cents": 100000,
"city_alternate": "string",
"city": "string",
"country_alternate": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "string",
"email_1": "string",
"email_2": "string",
"first_name": "string",
"is_employee": true,
"last_name": "string",
"late_balance_in_cents": 100000,
"middle_name": "string",
"notes": "string",
"phone_1_type": "FAX",
"phone_1": "string",
"phone_2_type": "FAX",
"phone_2": "string",
"state_alternate": "string",
"state": "string",
"zip_alternate": "string",
"zip": "string",
"pets": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"name": "string",
"type": "string",
"breed": "string",
"gender_raw": "string",
"age_in_years": 0,
"weight_in_pounds": 0,
"is_fixed": true,
"is_service_animal": true,
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"vehicles": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"make": "string",
"model": "string",
"color": "string",
"year": "string",
"license_plate_number": "string",
"license_plate_state": "string",
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
]
}